#include "sys/alt_stdio.h"
#include "system.h"
#include "hex_out.h"
#include "sys_register.h"
#include "sys_memory.h"
#include "input_int.h"

#define ledrs (volatile int *) 0x00020a0
#define push_switches (volatile char *) 0x0002080


void init() {
	registers_init();
	memory_init();
	clear_block(HEX0_3); clear_block(HEX4_5); clear_block(HEX6_7);
	print_block("he", 2, HEX6_7);
	print_block("lo", 2, HEX4_5);
	print_block("you1", 4, HEX0_3);
}

int main()
{
	init();
	while(1) {
		// interrupt
		in_int();

		// event
		if (PUSH_EVENT) {
			//
		}
	}
	return 0;
}
